
; ############################################ Variablen ####################################################

Structure About_Main
  
EndStructure
Global About_Main.About_Main

Structure Window_About
  ID.i
  Button.i
  Editor.i
EndStructure
Global Window_About.Window_About

; ############################################ Proceduren ####################################################

Procedure Window_About(Open)
  If Open = 1 And Window_About\ID = 0
    
    Window_About\ID = OpenWindow(#PB_Any, 0, 0, 400, 400, "About", #PB_Window_WindowCentered , WindowID(Window_Main\ID))
    If Window_About\ID
      If UseGadgetList(WindowID(Window_About\ID))
        Window_About\Editor = EditorGadget(#PB_Any, 10, 10, 380, 340, #PB_Editor_ReadOnly)
        Window_About\Button = ButtonGadget(#PB_Any, 300, 360, 90, 30, "OK")
        
        AddGadgetItem(Window_About\Editor, -1, "D3hex V."+StrF(Main\Version*0.001, 3))
        AddGadgetItem(Window_About\Editor, -1, "")
        AddGadgetItem(Window_About\Editor, -1, "Compiled: "+Str(#PB_Editor_CompileCount))
        AddGadgetItem(Window_About\Editor, -1, "Builded: "+Str(#PB_Editor_BuildCount))
        AddGadgetItem(Window_About\Editor, -1, "Build Date: "+FormatDate("%hh:%ii:%ss %dd.%mm.%yyyy", #PB_Compiler_Date))
        CompilerIf #PB_Compiler_Processor = #PB_Processor_x86
          AddGadgetItem(Window_About\Editor, -1, "Compiler Version: "+StrF(#PB_Compiler_Version/100, 2)+" (x86)")
        CompilerElse
          AddGadgetItem(Window_About\Editor, -1, "Compiler Version: "+StrF(#PB_Compiler_Version/100, 2)+" (x64)")
        CompilerEndIf
        AddGadgetItem(Window_About\Editor, -1, "")
        AddGadgetItem(Window_About\Editor, -1, "Programmer: David Vogel (Dadido3, Xaardas)")
        
      EndIf
    EndIf
  ElseIf Open = 0 And Window_About\ID
    CloseWindow(Window_About\ID)
    Window_About\ID = 0
  EndIf
EndProcedure

Procedure About_Event(Event, Event_Type)
  
  Select Event
    Case #PB_Event_Gadget
      Select EventGadget()
        Case Window_About\Button
          Window_About(0)
        
      EndSelect
  EndSelect
EndProcedure
; IDE Options = PureBasic 4.60 Beta 1 (Windows - x64)
; CursorPosition = 34
; Folding = -
; EnableXP
; DisableDebugger
; EnableCompileCount = 0
; EnableBuildCount = 0